CVE-2021-30547

NameCVE-2021-30547
DescriptionOut of bounds write in ANGLE in Google Chrome prior to 91.0.4472.101 allowed a remote attacker to potentially perform out of bounds memory access via a crafted HTML page.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2709-1, DLA-2711-1, DSA-4939-1, DSA-4940-1
NVD severitymedium
Debian Bugs990079

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
chromium (PTS)stretch (security), stretch73.0.3683.75-1~deb9u1vulnerable
buster89.0.4389.114-1~deb10u1vulnerable
buster (security)90.0.4430.212-1~deb10u1vulnerable
bullseye99.0.4844.74-1~deb11u1fixed
bullseye (security)101.0.4951.64-1~deb11u1fixed
bookworm, sid101.0.4951.64-1fixed
firefox (PTS)sid100.0-1fixed
firefox-esr (PTS)stretch68.10.0esr-1~deb9u1vulnerable
stretch (security)91.9.0esr-1~deb9u1fixed
buster78.14.0esr-1~deb10u1fixed
buster (security)91.9.0esr-1~deb10u1fixed
bullseye78.15.0esr-1~deb11u1fixed
bullseye (security)91.9.0esr-1~deb11u1fixed
bookworm, sid91.9.0esr-1fixed
thunderbird (PTS)stretch1:68.10.0-1~deb9u1vulnerable
stretch (security)1:91.8.0-1~deb9u1fixed
buster1:78.14.0-1~deb10u1fixed
buster (security)1:91.8.0-1~deb10u1fixed
bullseye1:78.14.0-1~deb11u1fixed
bullseye (security)1:91.8.0-1~deb11u1fixed
bookworm1:91.8.1-1fixed
sid1:91.9.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
chromiumsourcestretch(unfixed)end-of-life
chromiumsourcebuster(unfixed)end-of-life
chromiumsource(unstable)93.0.4577.82-1990079
firefoxsource(unstable)90.0-1
firefox-esrsourcestretch78.12.0esr-1~deb9u1DLA-2709-1
firefox-esrsourcebuster78.12.0esr-1~deb10u1DSA-4939-1
firefox-esrsource(unstable)78.12.0esr-1
thunderbirdsourcestretch1:78.12.0-1~deb9u1DLA-2711-1
thunderbirdsourcebuster1:78.12.0-1~deb10u1DSA-4940-1
thunderbirdsource(unstable)1:78.12.0-1

Notes

[buster] - chromium <end-of-life> (see DSA 5046)
[stretch] - chromium <end-of-life> (see DSA 4562)
https://www.mozilla.org/en-US/security/advisories/mfsa2021-28/#CVE-2021-30547
https://www.mozilla.org/en-US/security/advisories/mfsa2021-29/#CVE-2021-30547
https://www.mozilla.org/en-US/security/advisories/mfsa2021-30/#CVE-2021-30547

Search for package or bug name: Reporting problems